| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::gregorian::operator<< — operator<< for gregorian::date_period typical output: [2002-Jan-01/2002-Jan-31]

## Synopsis

    // In header: <boost/date_time/gregorian/greg_facet.hpp>

    template<typename charT, typename traits>
      std::basic_ostream< charT, traits > &
      operator<<(std::basic_ostream< charT, traits > & os, const date_period & dp);

## Description

Uses the date facet to determine output string as well as selection of long or short string fr dates. Default if no facet is installed is to output a 3 char english string for the day of the week.